View Bug Details

IDProjectCategoryView StatusLast Update
0001546DCP-o-matic[All Projects] Featurespublic2019-05-12 16:13
ReportercarlAssigned To 
PrioritynormalSeverityminorReproducibilityN/A
Status newResolutionopen 
Product Version 
Target Version2.16.0Fixed in Version 
Summary0001546: Option to set playback size to a multiple of the original
Description

so that there is, e.g. no scaling.

TagsNo tags attached.
Estimated work requiredUndecided

Relationships

related to 0001472 assignedcarl Sudden video freezes in DCP-o-matic Player, followed by crash 
related to 0001431 resolvedcarl Investigate opengl canvas for rendering preview/player. 

Activities

Carsten

2019-05-04 10:53

manager   ~0003311

I guess, for a test on improving playback performance on highres displays, a sticky window size parameter in the config would be sufficient for now.

For image QC, an easily accessible option to match decode and display resolution would be best. As opposed to the resolution of the physical display, how would you call the 'playback window size' we're talking about here?

Carsten

2019-05-04 20:31

manager   ~0003315

Last edited: 2019-05-04 21:02

View 4 revisions

Okay, do we have a Mantis entry for the very bad playback performance on (HighRes) Macs?

Today I was able to do some tests on a current HighRes Retina MacBook Pro with both a 2k scope and 2k flat trailer, using the 2.15 test version with the show display timing option. The machine was running HighSierra.

It shows the same behavior as I noticed it on another current Retina MacBook, and an older 5k iMac. Very many dropped frames with the player at default (startup) window size display, even at quarter decode resolution. The machine shows the same number of dropped frames (about 500, nearly a quarter of all frames) for both half and quarter decode resolution. When I set the window size smaller, it suddenly plays with 0 dropped frames in both half and quarter size. Using the mouse, I can't set a specific display size, I can only try smaller until I see an improvement in playback performance. So, I can't give a specific number.

The machine has a 2880/1800 Retina display. In system prefs/monitor, I can set a different resolution, e.g. 1280/800 - but that doesn't change anything about the playback performance. I remember that in earlier MacBooks (incl. my current 2013 machine), reducing the display resolution actually sends a lower res image to the display in hardware (as with an external monitor). With these Retina displays, I think the actual display resolution stays the same, and the configured resolution change is just software/rendering function to adjust GUI elements, so the display resolution stays at 2880*1800 in hardware. I wasn't able to test that MacBook with an external monitor at a 'reasonable' display resolution like e.g. 1920/1080. That would be the only way to 'bypass' that Retina resolution it seems.

Now, currently I can only adjust the window size with the mouse and 'guess' which size works faster. If we had an option to specify/store a display window size (in pixels) in config, I could actually try which specific settings work better, and wether 1, 2, 3*... decode show a better performance than other scaling factors.

Too me, it is obvious though, that if the Mac player would choose a specific optimized display window size per default, the playback performance would instantly improve a lot without any major changes to the playback code. I think that would help Mac users a lot until a better solution is found (e.g. open gl).

I will later upload my detailed timing screenshots from 2.15.

Sorry for being so pushy about this - I understand you are aiming for a more elegant solution for all platforms and including full screen, I just think that a more or less simple option could improve playback performance immediately now for those poor Mac users. I may still be on a wrong track, but what I see during testing on those machines leads me to think that some specific display resolutions could work very well, even if it wouldn't solve the issue for full screen yet.

Carl, do you know how VLC solves video display across different platforms? I know you can define different rendering APIs/interfaces in VLC, but I have never seen major performance differences between them. I guess even without using GPU aided display, there are still different software methods available on the different platforms. Maybe the one currently used on the Mac is exceptionally slow.

I would be quite interested to see the players playback performance on one of these Retina MacBooks when running native Windows/Bootcamp. I don't know when I get the chance to test this.

  • Carsten

Carsten

2019-05-05 12:16

manager   ~0003319

Last edited: 2019-05-05 12:20

View 2 revisions

Here's the screenshots. Note 'fullwindow' does not mean 'full screen', but the standard screen size the player opens at - the application window maximized.



system.png (81,762 bytes)
system.png (81,762 bytes)

Carsten

2019-05-05 12:17

manager  

Flat_halfdecode_0dropped_small_window.jpg (625,984 bytes)
Scope_halfdecode_0dropped_small_window.jpg (418,042 bytes)

Bug History

Date Modified Username Field Change
2019-05-03 14:51 carl New Bug
2019-05-04 10:53 Carsten Note Added: 0003311
2019-05-04 20:31 Carsten Note Added: 0003315
2019-05-04 20:32 Carsten Note Edited: 0003315 View Revisions
2019-05-04 20:42 Carsten Note Edited: 0003315 View Revisions
2019-05-04 21:02 Carsten Note Edited: 0003315 View Revisions
2019-05-05 12:16 Carsten File Added: system.png
2019-05-05 12:16 Carsten File Added: Scope_halfdecode_500dropped_fullwindow.png
2019-05-05 12:16 Carsten File Added: Scope_quarterdecode_504dropped_fullwindow.png
2019-05-05 12:16 Carsten File Added: Flat_halfdecode_570dropped_fullwindow.png
2019-05-05 12:16 Carsten File Added: Flat_quarterdecode_514dropped_fullwindow.png
2019-05-05 12:16 Carsten File Added: Scope_halfdecode_0dropped_small_window.png
2019-05-05 12:16 Carsten File Added: Flat_halfdecode_0dropped_small_window.png
2019-05-05 12:16 Carsten Note Added: 0003319
2019-05-05 12:17 Carsten File Deleted: Scope_halfdecode_0dropped_small_window.png
2019-05-05 12:17 Carsten File Deleted: Flat_halfdecode_0dropped_small_window.png
2019-05-05 12:17 Carsten File Added: Flat_halfdecode_0dropped_small_window.jpg
2019-05-05 12:17 Carsten File Added: Scope_halfdecode_0dropped_small_window.jpg
2019-05-05 12:20 Carsten Note Edited: 0003319 View Revisions
2019-05-12 16:13 Carsten Relationship added related to 0001472
2019-05-12 16:13 Carsten Relationship added related to 0001431